
jQuery(document).ready(function(){

	//nice scroll	
	var windowsize = jQuery(window).width();
	if(windowsize > 769) {
		jQuery("body").niceScroll({
			horizrailenabled:false,
			cursorwidth:"0",
			cursorborder: "0",
		});
	} else {
		// console.log('nicescroll diasbled');
	}


	/* responsive nav */
	jQuery('#site-navigation').evisionMobileMenu ();		

	// function call
	topSearch();
	sliderSetting();
	fixedHeader();
	jQuery("section.nav-section").sticky({topSpacing:0});
	ScrollToTop();
	addClassLast();
});

// add class for fixed header 
function fixedHeader() {
	jQuery(window).bind('scroll', function() {
	   var navHeight =  jQuery('section.top-header').height();
		 if (jQuery(window).scrollTop() > navHeight) {
			 	jQuery('section.nav-section').addClass('fixed');
		 	}
		 else {
			 jQuery('section.nav-section').removeClass('fixed');
		}
	});
}

// scroll to top option hide show
function ScrollToTop(){
	jQuery(window).scroll(function() {
    if (jQuery(this).scrollTop() >= 50) {    
        jQuery('#return-to-top').fadeIn(200);   
    } else {
        jQuery('#return-to-top').fadeOut(200);  
    }
	});
	jQuery('#return-to-top').click(function() {      
	    jQuery('body,html').animate({
	        scrollTop : 0                      
	    }, 500);
	});
}

/*edu light  preloader script*/

jQuery(window).on('load', function() { 
  jQuery('#status').fadeOut(); 
  jQuery('#preloader').delay(350).fadeOut('slow'); 
  jQuery('body').delay(350).css({'overflow':'visible'});
})


function addClassLast() {
	jQuery('.widget-title').each(function(){
	   var jQuerythis = jQuery(this), text=jQuerythis.text().trim(), words = text.split(/\s+/);
	   var lastWord = words.pop();
	   words.push('<span>' + lastWord + '</span>');
	   jQuerythis.html(words.join(' '));
	});
}

/* header search slide */

function topSearch(){
  	jQuery(".social-section").click(function(){
    	jQuery(".edu-social-nav").slideToggle();
    	jQuery('#content').click(function(){
    		jQuery(".edu-social-nav").hide();
    	})
	});
}
// shiftMenu
+(function($) {

    this.classToggler = function (param) {

        this.animation = param.animation,
        this.toggler = param.toggler,
        this.className = param.className,
        this.exceptions = param.exceptions;

        this.init = function() {
            var that = this;
            // for stop propagation
            var stopToggler = this.implode(this.exceptions);
            if (typeof stopToggler !== 'undefined') {
                $(document).on('click', stopToggler, function(e) {
                    e.stopPropagation();
                });
            }

            // for toggle class
            var toggler = this.implode(this.toggler);
            if (typeof toggler !== 'undefined') {

                $(document).on('click', toggler, function(e) {
                    e.stopPropagation();
                    e.preventDefault();
                    that.toggle();
                });
            }
        }

        //class toggler
        this.toggle = function() {
            var selectors = this.implode(this.animation);
            if (typeof selectors !== 'undefined') {
                //console.log(this.className);
                $(selectors).toggleClass(this.className);
            }
        }

        // array selector maker
        this.implode = function(arr, imploder) {

            // checking arg is array or not
            if (!(arr instanceof Array)) {
                return arr;
            }
            // setting default imploder
            if (typeof imploder == 'undefined') {
                imploder = ',';
            }

            // making selector
            var data = arr;
            var ele = '';
            for (var j = 0; j < arr.length; j++) {
                ele += arr[j];
                if (j !== arr.length - 1) {
                    ele += imploder;
                }
            }
            data = ele;
            return data;
        }
    } //End mobileMenu




    $.fn.evisionMobileMenu = function(config) {
        /* defining default config*/
        var defaultConfig = {
            icon: '#menu-icon',
            closeIcon: true,
            overlay: true
        }
        $.extend(defaultConfig, config);

        var _this = this;
        var shiftMenu = function() {
            var $icon = $(defaultConfig.icon),
                mobileMenuHTML = $(_this.selector).html(),
                that = this;

            /* constructor function */
            this.init = function() {
                $(document).ready(function() {
                    that.createMenu();
                    that.addDownArrow();
                    that.toggleSubUl();
                    that.menuToggler();
                    that.addClassOnFirstUl();
                });
            };

            this.createMenu = function() {
                var closeHTML = defaultConfig.closeIcon ? this.closeMenuIcon() : null,
                    overlayHTML = defaultConfig.overlay ? this.addOverlay() : null;
                    $('body').append('<div class="evision-mobile-menu" id="evision-mobile-menu">' + closeHTML + mobileMenuHTML + '</div>' + overlayHTML)
            };

            this.closeMenuIcon = function() {
                return ('<div class="evision-close-wrapper"> <span class="evision-inner-box" id="evision-close"><span class="evision-inner"></span></span> </div>');
            };

            this.addOverlay = function() {
                return ('<div class="evision-mobile-menu-overlay"></div>');
            };

            this.addClassOnFirstUl = function(){
              if($('#evision-mobile-menu ul').first().hasClass('menu')){
                //console.log('has menu class');
              }else{
                $('#evision-mobile-menu ul').first().addClass('menu');
                //console.log('this is no any menu class');
              }
            }

            this.addDownArrow = function() {
                var $mobileMenu = $('#evision-mobile-menu'),
                    $hasSubUl = $('#evision-mobile-menu .menu-item-has-children'),
                    haveClassOnLi = $mobileMenu.find('.menu-item-has-children');

                if (haveClassOnLi.length > 0) {
                    $hasSubUl.children('a').append('<span class="evision-arrow-box"><span class="evision-down-arrow"></span></span>');
                    //console.log('added');
                } else {
                    //console.log('no classess');
                    $('#evision-mobile-menu ul li:has(ul)').children('a').append('<span class="evision-arrow-box"><span class="evision-down-arrow"></span></span>');
                }
            };

            this.toggleSubUl = function() {
                $(document).on('click', '.evision-arrow-box', toggleSubMenu);

                function toggleSubMenu(e) {
                    e.stopPropagation();
                    e.preventDefault();
                    $(this).toggleClass('open').parent().next().slideToggle();
                    //console.log('arrow clicked');
                }
            };

            this.menuToggler = function() {
              var menuConfig = {
                  animation: ['.evision-mobile-menu-overlay','#evision-mobile-menu', 'body'], //where class add element
                  exceptions: ['#evision-mobile-menu'], //stop propagation
                  toggler: ['#menu-icon', '.evision-mobile-menu-overlay', '#evision-close'],//class toggle on click
                  className:'evision-menu-open'
              };
              new classToggler( menuConfig ).init();
            };

        }; /* End shiftMenu */

        /* instance of shiftmenu */
        new shiftMenu().init();

    }; /* End shiftMenu */


})(jQuery);

// edu light slick slider function call here 
function sliderSetting(){
	jQuery('.edu-main-slider').slick({
	  dots: true,
	  infinite: true,
	  autoplaySpeed: 5000,
	  slidesToShow: 1,
	  adaptiveHeight: false,	  
	  arrows: true,
	  autoplay: true,
	  fade: true,
	  responsive: [{
        breakpoint: 768,
        settings: {
          arrows: false,
          slidesToShow: 1
        }
      },
      {
        breakpoint: 480,
        settings: {
          arrows: false,
          slidesToShow: 1
        }
      }
    ]
	});

	jQuery('.client-slider').slick({
	  dots: false,
	  infinite: true,
	  speed: 300,
	  slidesToShow: 5,
	  adaptiveHeight: false,
	  arrows: true,
	  autoplay: true,
	  responsive: [{
        breakpoint: 768,
        settings: {
          arrows: false,
          slidesToShow: 3
        }
      },
      {
        breakpoint: 480,
        settings: {
          arrows: false,
          slidesToShow: 1
        }
      }
    ]
	});

	jQuery('.testimonials-slider').slick({
	  dots: false,
	  infinite: true,
	  autoplaySpeed: 3000,
	  slidesToShow: 3,
	  adaptiveHeight: false,
	  arrows: true,
	  autoplay: true,
	  responsive: [{
        breakpoint: 769,
        settings: {
          arrows: false,
          slidesToShow: 2
        }
      },
      {
        breakpoint: 480,
        settings: {
          arrows: false,
          slidesToShow: 1
        }
      }
    ]
	});

	jQuery('.blog-slider').slick({
	  dots: false,
	  infinite: true,
	  autoplaySpeed: 3000,
	  slidesToShow: 3,
	  adaptiveHeight: false,
	  arrows: true,
	  autoplay: true,
	  responsive: [{
        breakpoint: 769,
        settings: {
          arrows: false,
          slidesToShow: 2
        }
      },
      {
        breakpoint: 480,
        settings: {
          arrows: false,
          slidesToShow: 1
        }
      }
    ]
	});
}

