<?php

/**
 * The template for displaying home page.
 * @package edu-light
 */
global $edu_light_customizer_all_values;

get_header();
if ( 'posts' == get_option( 'show_on_front' ) ) {
    include ( get_home_template() );    
} else {
        /**
         * edu_light_homepage hook
         * @since edu-light 1.0.0
         *
         * @hooked edu_light_homepage -  10
         * @sub_hooked edu_light_homepage -  30
         * @hooked busine_Craft_aboutus _page -16
         * @hooked edu_light_our_service -21
         */
        do_action( 'edu_light_homepage' );         

        $edu_light_static_page = absint($edu_light_customizer_all_values['edu-light-enable-static-page']);
        // $edu_light_static_page = 1;
        if ($edu_light_static_page  == 1) { ?>
            <div id="content" class=" container site-content ">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main" role="main">
                        <?php
                        while ( have_posts() ) : the_post();

                            get_template_part( 'template-parts/content', 'page' );

                            // If comments are open or we have at least one comment, load up the comment template.
                            if ( comments_open() || get_comments_number() ) :
                                comments_template();
                            endif;

                        endwhile; // End of the loop.
                        ?>

                    </main><!-- #main -->
                </div><!-- #primary -->
                <?php get_sidebar(); ?>                
            </div>
        <?php }
        
     // do_action('edu_light_show_message_if_no_option_selected');

}
get_footer();