<?php 
/*image alignment single post*/
if( ! function_exists( 'edu_light_single_post_image_align' ) ) :
    /**
     * edu-light default layout function
     *
     * @since  edu-light 1.0.0
     *
     * @param int
     * @return string
     */
    function edu_light_single_post_image_align( $post_id = null ){
        global $edu_light_customizer_all_values,$post;
        if( null == $post_id && isset ( $post->ID ) ){
            $post_id = $post->ID;
        }
        $edu_light_single_post_image_align = $edu_light_customizer_all_values['edu-light-single-post-image-align'];
        $edu_light_single_post_image_align_meta = get_post_meta( $post_id, 'edu-light-single-post-image-align', true );

        if( false != $edu_light_single_post_image_align_meta ) {
            $edu_light_single_post_image_align = $edu_light_single_post_image_align_meta;
        }
        return $edu_light_single_post_image_align;
    }
endif;