<?php
/**
* Returns word count of the sentences.
*
* @since edu-light 1.0.0
*/
if ( ! function_exists( 'edu_light_words_count' ) ) :
	function edu_light_words_count( $length = 25, $edu_light_content = null ) {
		$length = absint( $length );
		$more = esc_html__( '&hellip;','edu-light' );
		$source_content = preg_replace( '`\[[^\]]*\]`', '', $edu_light_content );
		$trimmed_content = wp_trim_words( $source_content, $length, $more );
		return $trimmed_content;
	}
endif;