<?php
global $edu_light_panles;
global $edu_light_sections;
global $edu_light_settings_controls;
global $edu_light_repeted_settings_controls;
global $edu_light_customizer_defaults;

// defaults values;
$edu_light_customizer_defaults['edu-light-abouts-us-enable'] = 0 ; 
$edu_light_customizer_defaults['edu-light-abouts-us-single-word'] = 25 ; 
$edu_light_customizer_defaults['edu-light-about-us-selcet-from-page'] = 0;
$edu_light_customizer_defaults['edu-light-about-us-button-text']   = esc_html__('Read More','edu-light');

//create section for about -us
$edu_light_sections['edu-light-about-us-section']  = 
	array(
		'title'					=> esc_html__('About-US-Section','edu-light'),
		'panel'					=> 'edu-light-main-homepage-panel',
		'priority'				=> 20
	);

//creat a enable section for about-us
$edu_light_settings_controls['edu-light-abouts-us-enable']  = 
	array(
		'setting'				=> array(
			'default'				=> $edu_light_customizer_defaults['edu-light-abouts-us-enable']
		),
		'control'					=> array(
			'label'					=> esc_html__('Enable About US','edu-light'),
			'section'				=> 'edu-light-about-us-section',
			'type'					=> 'checkbox',
			'priority'				=> 10,
			'active_callback'		=> ''
		)
		
	);

//creat a single word section for about-us
$edu_light_settings_controls['edu-light-abouts-us-single-word']  = 
	array(
		'setting'				=> array(
			'default'				=> $edu_light_customizer_defaults['edu-light-abouts-us-single-word']
		),
		'control'					=> array(
			'label'					=> esc_html__('Select Numbers Of Word','edu-light'),
			'section'				=> 'edu-light-about-us-section',
			'type'					=> 'number',
			'input_attr'			=> array('min' => 0, 'max' => 200),
			'priority'				=> 20,
			'active_callback'		=> ''
		)
		
	);

//creat a select page section for about-us
$edu_light_settings_controls['edu-light-about-us-selcet-from-page']  = 
	array(
		'setting'				=> array(
			'default'				=> $edu_light_customizer_defaults['edu-light-about-us-selcet-from-page']
		),
		'control'					=> array(
			'label'					=> esc_html__('Select Page For About-US','edu-light'),
			'section'				=> 'edu-light-about-us-section',
			'type'					=> 'dropdown-pages',
			'priority'				=> 40,
			'active_callback'		=> ''
		)
		
	);


//creat a button section for about-us
$edu_light_settings_controls['edu-light-about-us-button-text']  = 
	array(
		'setting'				=> array(
			'default'				=> $edu_light_customizer_defaults['edu-light-about-us-button-text']
		),
		'control'					=> array(
			'label'					=> esc_html__('Button Text','edu-light'),
			'section'				=> 'edu-light-about-us-section',
			'type'					=> 'text',
			'priority'				=> 50,
			'active_callback'		=> ''
		)
		
	);




