<?php
global $edu_light_panels;
global $edu_light_sections;
global $edu_light_settings_controls;
global $edu_light_repeated_settings_controls;
global $edu_light_customizer_defaults;

// default value
$edu_light_customizer_defaults['edu-light-feature-enable'] = 0;
$edu_light_customizer_defaults['edu-light-feature-single-word'] = 25;
$edu_light_customizer_defaults['edu-light-feature-select-number-section'] = 3;
$edu_light_customizer_defaults['edu-light-home-feature-selection'] = 'from-page';
$edu_light_customizer_defaults['edu-light-home-feature-main_title'] = esc_html__('OUR FEATURE','edu-light');
$edu_light_customizer_defaults['edu-light-feature-page-icon'] = esc_html__(' fa-desktop','edu-light');
$edu_light_customizer_defaults['edu-light-feature-select-from-page'] = 0;

//creat a section for feature
 $edu_light_sections['edu-light-feature-section'] = 
 	array(
 		'title'			=> esc_html__('Feature-Section','edu-light'),
 		'panel'			=> 'edu-light-main-homepage-panel',
 		'priority'		=> 30
 	);

 // creat a enable option for feature section
$edu_light_settings_controls['edu-light-feature-enable']  = 
	array(
		'setting'				=> 	array(
			'defaults'				=> $edu_light_customizer_defaults['edu-light-feature-enable']
		),
		'control'					=> array(
			'label'					=> esc_html__('Enable Feature','edu-light'),
			'section'				=> 'edu-light-feature-section',
			'type'					=> 'checkbox',
			'active_callback'		=> '',
			'priority'				=> 10 

		)
		
	);

 // creat a title text for feature section
$edu_light_settings_controls['edu-light-home-feature-main_title']  = 
	array(
		'setting'				=> 	array(
			'defaults'				=> $edu_light_customizer_defaults['edu-light-home-feature-main_title']
		),
		'control'					=> array(
			'label'					=> esc_html__('Title Text','edu-light'),
			'section'				=> 'edu-light-feature-section',
			'type'					=> 'text',
			'active_callback'		=> '',
			'priority'				=> 15 

		)
		
	);


// createw a single word selection
 $edu_light_settings_controls['edu-light-feature-single-word']  = 
 	array(
 		'setting'					=> array(
 			'defaults'				=> $edu_light_customizer_defaults['edu-light-feature-single-word']
 		),
 		'control'					=> array(
 			'label'					=> esc_html__('Select Number Of Word-','edu-light'),
 			'section'				=> 'edu-light-feature-section',
 			'type'					=> 'number',
 			'input_attr'			=> array('min'	=> 1, 'max'	=> 200),
 			'active_callback'		=> '',
 			'priority'				=> 20
 		)
 	);

// creat a page section
$edu_light_repeated_settings_controls['edu-light-feature-page-icon'] = 
	array(
		'repeated'								=> 3,
		'edu-light-pages-icon'				=> array(
			'setting'							=> array(
				'default'						=> $edu_light_customizer_defaults['edu-light-feature-page-icon'] ,
			),
			'control' =>   array(
				/* translators: %s: search term */
                'label'                 =>    esc_html__( 'Icon %s', 'edu-light' ),
                'section'               =>   'edu-light-feature-section',
                'type'                  =>   'text',
                'priority'              =>   30,
                /* translators: %s: search term */
                'description'           =>   sprintf( esc_html__( 'Use font awesome icon: Eg: %1$s. %2$s See more here %3$s', 'edu-light' ), 'fa-desktop','<a href="'.esc_url('https://fontawesome.com/icons').'" target="_blank">','</a>' ),
            )
        ),
        'edu-light-feature-pages-ids' =>   array(
            'setting' =>       array(
                'default'              =>   $edu_light_customizer_defaults['edu-light-feature-select-from-page'],
            ),
            'control' =>   array(
            	/* translators: %s: search term */
                'label'                 =>    esc_html__( 'Select Page For Feature %s', 'edu-light' ),
                'section'               =>   'edu-light-feature-section',
                'type'                  =>   'dropdown-pages',
                'priority'              =>   30,
                'description'           =>   ''
            )
        ),
	);
	