<?php
if ( !function_exists('edu_light_excerpt_length') ) :
     /**
     * Excerpt length
     *
     * @since  edu-light 0.0.1
     *
     * @param null
     * @return int
     */
     function edu_light_excerpt_length( $length ){
        global$edu_light_customizer_all_values;
        if( is_admin() ) {
            return $length;
        }
        
        $excerpt_length =$edu_light_customizer_all_values['edu-light-number-of-words'];
        if ( empty( $excerpt_length) ) {
            $excerpt_length = $length;
        }
    
        return absint( $excerpt_length );


    }
     
endif;
add_filter( 'excerpt_length', 'edu_light_excerpt_length', 999 );

